# Brickognize dataset

Dataset gathered by Tramacsoft GmbH and shared at its [website](https://www.tramacsoft.com/brickognize/) under license *Attribution-NonCommercial-NoDerivs 2.0 Generic (CC BY-NC-ND 2.0)*. It contains annotated RGB images with a variable amount of 76 distinct Lego bricks located on top of planar surface.

## Structure

The dataset is composed of 2 different testing datasets, the *controlled* and the *uncontrolled* datasets. The files are organized in the following way:

```none
├── README.md
├── controlled
│   ├── classification.json
│   ├── image1.jpg
│   ├── image2.jpg
│   └── ...
└── uncontrolled
    ├── classification.json
    ├── image1.jpg
    ├── image2.jpg
    └── ...
```

### Controlled dataset

An easy to annotate 160 real-world images dataset with controlled lighting and camera angle, designed for fast acquisition and labeling. Images were taken perpendicularly on a fixed white background. It was acquired with an standard cellphone camera and manually annotated. A non-occlusion criteria was forced in order to simplify the hand-made labeling process.

### Uncontrolled dataset

Focused on real-world broad testing scenario, where training is done on a single domain but usage is not constrained to other domains. Consisting of 100 images with 6.7K annotations collected with 5 different randomly chosen indoor and outdoor household scenes, with different camera positions and illuminations, acquired with a conventional smartphone camera and manually annotated.

## Categories

The 78 bricks are annotated by their brick id and their color.

| Brick | Color | Brick | Color | Brick | Color | Brick | Color | Brick | Color |
|-------|-------|-------|-------|-------|-------|-------|-------|-------|-------|
|  2780 |   0   |  3707 |   0   | 44809 |    4  | 32525 |   71  | 63869 |   71  |
|  2815 |   0   |  3708 |   0   | 59443 |    4  | 32526 |   71  | 64178 |   71  |
| 32013 |   0   |  3737 |   0   |32123b |   14  |  3649 |   71  | 64179 |   71  |
| 32014 |   0   | 41678 |   0   | 32523 |   14  |  3673 |   71  |  6536 |   71  |
| 32034 |   0   | 45590 |   0   | 32009 |   15  |  3713 |   71  | 87082 |   71  |
| 32072 |   0   | 60483 |   0   | 32278 |   15  |  4019 |   71  | 99773 |   71  |
| 32184 |   0   | 60484 |   0   | 32348 |   15  | 40490 |   71  | 10928 |   72  |
| 32269 |   0   |  6629 |   0   | 32526 |   15  | 41239 |   71  | 3648b |   72  |
| 32270 |   0   | 32523 |   1   | 32556 |   19  | 44294 |   71  |  4185 |   72  |
| 32291 |   0   | 43093 |   1   |  3749 |   19  |  4519 |   71  | 42003 |   72  |
| 32449 |   0   |  6558 |   1   |  6589 |   19  |  4716 |   71  | 55013 |   72  |
| 32498 |   0   | 32523 |   2   |  6587 |   28  | 48989 |   71  | 87083 |   72  |
| 32523 |   0   | 32054 |   4   | 32073 |   71  | 55615 |   71  |       |       |
|33299a |   0   | 32062 |   4   | 32271 |   71  | 57585 |   71  |       |       |
| 3705  |   0   | 32140 |   4   | 32316 |   71  | 60485 |   71  |       |       |
| 3706  |   0   | 32523 |   4   | 32524 |   71  | 62462 |   71  |       |       |
